2.1.4 Release

Tarski 2.1.4 contains a vital compatibility fix for anyone upgrading to WordPress 2.6. If you’re planning on installing WordPress 2.6, install this update immediately, before you upgrade your WordPress installation. Following the upgrade guide is generally a good idea.

Always back up your files and database before running a WordPress or Tarski upgrade.

It appears that options are now being automatically unserialised, which means that when Tarski attempts to unserialise the already-unserialised tarski_options object, an error gets thrown which breaks a bunch of stuff. All of which means, upgrade now, or you might potentially lose your Tarski options.

Tarski 2.2 is still in production, and will add some nice functionality as well as some performance improvements and a fair bit of tidying. I’ve backported a couple of bug-fixes from 2.2 to 2.1.4, so you don’t have to wait for them.

Issues with this release should be posted on the forum.

Tags: , , , , ,

10 comments

  1. Mikael’s avatar

    Great job Ben, as always!

    The link that appears in the administration panel is broken though and pointing to http://tarskitheme.com/2008/05/20/214-release/.

  2. Ben Eastaugh’s avatar

    Thanks for pointing that out. Should be fixed now.

  3. Drew Vogel’s avatar

    Does 2.1.4 work under WordPress 2.5.1 without any problems?

  4. Ben Eastaugh’s avatar

    Should do, yes. I didn’t have any problems when I tested it.

  5. Mikael’s avatar

    Just upgraded to WordPress 2.6 with no problems at all. Works fine on WP 2.5.1 as well.

  6. Ben Eastaugh’s avatar

    I’ve just upgraded this site to WordPress 2.6, and nothing seems to be broken yet, although admittedly I’m running off Tarski trunk rather than 2.1.4.

  7. evita’s avatar

    The download does not open on mac.. I loved your theme and want to use it.

  8. Ben Eastaugh’s avatar

    Not sure what to say; it works just fine for me, and I use a Mac.

  9. Locust’s avatar

    Very nice theme! Can’t wait to use it on one or two of my sites.

Comments are now closed.